Subject: [dnssd] draft-rafiee-dnssd-mdns-threatmodel-03

From: Tim Chown <[email-masked]>
Date: Tue, 21 Jul 2015 17:26:43 +0100

Hi,

Following on from the previous email, I’d like to encourage discussion of draft-rafiee-dnssd-mdns-threatmodel-03.
See: https://tools.ietf.org/html/draft-rafiee-dnssd-mdns-threatmodel-03 <https://tools.ietf.org/html/draft-rafiee-dnssd-mdns-threatmodel-03>

Hosnieh has pulled together this draft in response to a request from Ralph and I as chairs. We’d like to see the WG discuss and agree on the scope of the threats that we cover in this document, with a view to adopting it as a WG item.

And specifically to Doug - you have raised points previously on DDoS attack paths, information leakage, and address scopes (esp. ULA). It would be good to articulate these more precisely, and to determine where they might fit into the structure of the draft as it stands. I can see Hosnieh already has DoS (section 3.2) and Leakage (section 3.5) included.

A reminder that a the goal of the WG is to enable scalable, wide area service discovery, across multiple links. There is thus a natural trade-off in convenience, and the ability to discover remote services, and information exposure. 

My personal feeling is that the document should focus on specific threats related to the new extended DNS-SD model that the hybrid pray model introduces; thus we could probably shrink or even remove 3.9, and focus on the earlier sections of the document. But this is what we’d like the WG to give input on.

Ralph and I will also seek opsec input on this document. We would also welcome input from homenet, where Markus and others have been developing methods to have a hybrid proxy model run autonomously, though - as yet - there isn’t a specific homenet threat model document.

Tim